Bug 106011 - Full counter-clockwise "enhanced custom shape" circles don't get drawn
Summary: Full counter-clockwise "enhanced custom shape" circles don't get drawn
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Tor Lillqvist
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.2.6 target:5.3.1
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-14 20:39 UTC by Tor Lillqvist
Modified: 2017-02-21 05:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Document exhibiting the bug (31.70 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-02-14 20:59 UTC, Tor Lillqvist
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Lillqvist 2017-02-14 20:39:43 UTC
Description:
See attached .pptx document.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_3) AppleWebKit/602.4.8 (KHTML, like Gecko) Version/10.0.3 Safari/602.4.8
Comment 1 Tor Lillqvist 2017-02-14 20:59:31 UTC
Created attachment 131224 [details]
Document exhibiting the bug

There should be a green circle with the white text "FOO" in it. The circle does not show up. (And thus not really the text either, as it is white on white background.)
Comment 2 Commit Notification 2017-02-14 21:01:31 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34d8dc19a08e2752a4b8d3b3d83b7cf3ac341f1c

tdf#106011: The "swing angle" is negative when counter-clockwise

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-02-15 16:50:09 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=61d5ff8fd96809a285f0e64817ef6fe4b8cdaa75&h=libreoffice-5-2

tdf#106011: The "swing angle" is negative when counter-clockwise

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-02-15 16:50:16 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=160fd56f986c76a1b160cb84d48e1e7702fff3cf&h=libreoffice-5-3

tdf#106011: The "swing angle" is negative when counter-clockwise

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.